%define pkgname activesupport
Summary:	Utility libraries for Ruby on Rails
Name:		ruby-%{pkgname}
Version:	3.2.19
Release:	3
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	d526f5d67fe426e2896763b2cb8feeb3
URL:		http://rubyforge.org/projects/activesupport/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %(locale -a | grep -q '^en_US$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
Requires:	ruby-builder >= 2.1.2
Requires:	ruby-i18n
Requires:	ruby-json
Requires:	ruby-memcache-client
Requires:	ruby-mocha >= 0.9.7
Requires:	ruby-nokogiri >= 1.1.1
Requires:	ruby-tzinfo
Provides:	ruby-ActiveSupport
Obsoletes:	ruby-ActiveSupport
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility libraries for Ruby on Rails.

%description -l pl.UTF-8
Biblioteki narzędziowe dla Ruby on Rails.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

# JRuby crap
rm lib/active_support/xml_mini/jdom.rb

%build
# write .gemspec
%__gem_helper spec

# UTF8 locale needed for doc generation
export LC_ALL=en_US.UTF-8
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri
rm -r ri/{Class,Date,DateTime} \
	ri/{Enumerable,FalseClass,File,Float,Hash} \
	ri/{Integer,Kernel,Logger} \
	ri/{Module,NameError,NilClass,Numeric} \
	ri/{Object,Range,String} \
	ri/{Test,Time,TrueClass,Process,Array,BigDecimal} \
	ri/{Benchmark,ERB,I18n,LoadError} \
	ri/{LibXML,MissingSourceFile,URI}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.rdoc
%{ruby_vendorlibdir}/active_support
%{ruby_vendorlibdir}/active_support.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActiveSupport
%changelog
* Fri Apr 01 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-activesupport.git;a=log;h=master

* Fri Apr 01 2016 Jan Rękorajski <baggins@pld-linux.org> 6cc6ace
- release 3 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 1c99f02
- rebuild with rubygems
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 44b16df
- up to 3.2.19

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> e2a0191
- fix ri packaging for ruby 2.0

* Wed Sep 11 2013 Elan Ruusamäe <glen@delfi.ee> 02cbb21
- rebuild with gem provides

* Wed Sep 11 2013 Elan Ruusamäe <glen@delfi.ee> d3bfee6
- rdoc/ri needs utf8 locale

* Wed Sep 11 2013 Elan Ruusamäe <glen@delfi.ee> 6bb5584
- build noarch, package to vendor dirs

* Tue Nov 30 2010 aredridel <aredridel@pld-linux.org> 666d3b3
- up to 3.0.3

* Tue Nov 23 2010 aredridel <aredridel@pld-linux.org> 432bfaa
- Patch dependencies.rb to require thread properly

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> c2c757d
- added ri package

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 5081c16
- updated to 2.3.5

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 7711b11
- P:ruby-ActiveSupport

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 4134c8f
- renamed ruby-ActiveSupport -> ruby-activesupport

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 5616f5c
- remove vendor libs (already in deps)

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> acb60b3
- corrrect summary

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 3e34f5e
- update to 2.0.5; -rdoc subpackage

* Thu Sep 18 2008 aredridel <aredridel@pld-linux.org> 867da25
- keep active_support from munging the include path needlessly

* Thu Dec 13 2007 Jakub Bogusz <qboosh@pld-linux.org> db6ad2d
- formatting

* Thu Dec 13 2007 aredridel <aredridel@pld-linux.org> a5ce212
- 2.0.1

* Thu Dec 13 2007 aredridel <aredridel@pld-linux.org> 5b8d530
- added

